-- Add an owner field to the groups table
ALTER TABLE groups
    ADD COLUMN owner VARCHAR(64);

create index IF NOT EXISTS IX_groups_owner on groups (owner);

alter table groups
    drop constraint IF EXISTS UniqueGroupNameAndOrgKey;
alter table groups
    add constraint UniqueGroupNameAndOrgKeyAndOwner unique (org_key, name, owner);